Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface AnimatedLiveAttributeValue

All Superinterfaces:
  LiveAttributeValue

All Known Implementing Classes:
  AbstractSVGAnimatedLength, AbstractSVGAnimatedValue, SVGOMAnimatedBoolean, SVGOMAnimatedEnumeration, SVGOMAnimatedInteger, SVGOMAnimatedLength, SVGOMAnimatedLengthList, SVGOMAnimatedMarkerOrientValue, SVGOMAnimatedNumber, SVGOMAnimatedNumberList, SVGOMAnimatedPathData, SVGOMAnimatedPoints, SVGOMAnimatedPreserveAspectRatio, SVGOMAnimatedRect, SVGOMAnimatedString, SVGOMAnimatedTransformList

    public interface AnimatedLiveAttributeValue

extends LiveAttributeValue

An interface for `LiveAttributeValue`s that have an animated value component.

Method Summary
`void` | `addAnimatedAttributeListener(AnimatedAttributeListener aal)` Adds a listener for changes to the animated value.
`String` | `getLocalName()` Returns the local name of this animated live attribute.
`String` | `getNamespaceURI()` Returns the namespace URI of this animated live attribute.
`AnimatableValue` | `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`void` | `removeAnimatedAttributeListener(AnimatedAttributeListener aal)` Removes a listener for changes to the animated value.

Methods inherited from interface org.apache.batik.dom.svg.LiveAttributeValue
`attrAdded, attrModified, attrRemoved`

Method Detail

### getNamespaceURI

    String getNamespaceURI()

  Returns the namespace URI of this animated live attribute.

### getLocalName

    String getLocalName()

  Returns the local name of this animated live attribute.

### getUnderlyingValue

    AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

### addAnimatedAttributeListener

    void addAnimatedAttributeListener(AnimatedAttributeListener aal)

  Adds a listener for changes to the animated value.

### removeAnimatedAttributeListener

    void removeAnimatedAttributeListener(AnimatedAttributeListener aal)

  Removes a listener for changes to the animated value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.